| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
ComponentOptions Interface Reference
UIExtension » components » options

An interface that describes all basic configuration options of a component. More...

Inheritance diagram for ComponentOptions:

## Public Attributes
boolean | active = false
| Initial activation state. More...
boolean | canBeDisabled =false
| Wheher or not this component can be disabled, if true, disable method will be not working. attribute name in layout-template: can-be-disabled. More...
string | cls = ''
| Specific a class attribute for the root element of a component. In the fragment config, it is writtern like this: new PDFUI({ fragments:[{ target: 'your component name', config: { cls: 'your-custom-css-class' } },...] }) and in layout-template, it's writtern like the this: <component-type class="your-custom-css-class"> </component-type> . More...
boolean | disabled =false
| initial disable state More...
boolean | visible = true
| Initial visibility state, if false, this component will be not displaying on screen after mounted. More...

## Detailed Description

An interface that describes all basic configuration options of a component.

Note
  All configuration options take higher priority than template configuration, It is usefull when you want to override configuration options. For example:
  new PDFUI({
  // ... other options
  fragments: [{
  target: 'some-container-component-name',
  action: UIExtension.UIConsts.FRAGMENT_ACTION.APPEND,
  template: '<xbutton name="button-component">button.mybutton</xbutton>'
  }, {
  target: 'button-component',
  config: {
  text: 'button.overridebuttontext'
  }
  }]
  })
  The text content of 'button-component' will be set to 'button.overridebuttontext'.

Since
  7.0.0

## Member Data Documentation

## ◆ active

boolean active = false

Initial activation state.

See also
  Component.active
  Component.deactive

Since
  7.0.0

## ◆ canBeDisabled

boolean canBeDisabled =false

Wheher or not this component can be disabled, if true, disable method will be not working.
attribute name in layout-template: can-be-disabled.

Since
  7.0.0

## ◆ cls

string cls = ''

Specific a class attribute for the root element of a component.
In the fragment config, it is writtern like this:

new PDFUI({
fragments:[{
target: 'your component name',
config: {
cls: 'your-custom-css-class'
}
},...]
})

and in layout-template, it's writtern like the this:

<component-type class="your-custom-css-class">
</component-type>

.

Since
  7.0.0

## ◆ disabled

boolean disabled =false

initial disable state

Since
  7.0.0

## ◆ visible

boolean visible = true

Initial visibility state, if false, this component will be not displaying on screen after mounted.

Since
  7.0.0

@2025 Foxit Software Incorporated. All rights reserved.